Holger's Java API

## com.antelmann.db
Class WrongDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException
                          com.antelmann.db.WrongDataException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotApplicableDataWarning

    public class WrongDataException

extends DatabaseException

WrongDataException signals a consistency problem with the data submitted to the database. The database itself is likely to still be accessible; the submitted data should be revised before it's retried.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`WrongDataException()`
`WrongDataException(String message)`
`WrongDataException(String message, Throwable cause)`
`WrongDataException(Throwable cause)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongDataException

    public WrongDataException()

### WrongDataException

    public WrongDataException(String message)

### WrongDataException

    public WrongDataException(Throwable cause)

### WrongDataException

    public WrongDataException(String message,
                              Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads